@import url("https://fonts.googleapis.com/css?family=VT323");

/* Colors */
:root {
  --light-grey: #e0e2f4;
  --grey: #aaaaaa;
  --blue: #0414a7;
  --base-font-size: 20px;
  --font-stack: "VT323", monospace;
}

/* Globals */
body,
h1,
h2,
h3,
h4,
p,
a {
  color: var(--light-grey);
}

.lang-toggle {
  display: inline-block;
  padding: 5px 10px;
  margin: 10px;
  background-color: #0414a7;
  color: #e0e2f4;
  font-size: 14px;
  font-weight: bold;
  text-transform: uppercase;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  text-decoration: none;
}
.lang-toggle:hover {
  background-color: #1e3a8a;
}

.lang-toggle img {
  width: 30px;
  height: 30px;
  vertical-align: middle;
}

body,
p {
  font: normal var(--base-font-size) / 1.25rem var(--font-stack);
}

h1 {
  font: normal 2.75rem/1.05em var(--font-stack);
}

h2 {
  font: normal 2.25rem/1.25em var(--font-stack);
}

h3 {
  font: lighter 1.5rem/1.25em var(--font-stack);
}

h4 {
  font: lighter 1.125rem/1.2222222em var(--font-stack);
}

body {
  background: var(--blue);
}

.container {
  width: 90%;
  margin: auto;
  max-width: 640px;
}

.bsod {
  padding-top: 10%;

  .neg {
    text-align: center;
    color: var(--blue);

    .bg {
      background: var(--grey);
      padding: 0 15px 2px 13px;
    }
  }

  .title {
    margin-bottom: 50px;
  }

  .nav {
    margin-top: 35px;
    text-align: center;

    .link {
      text-decoration: none;
      padding: 0 9px 2px 8px;
    }

    .link:hover,
    .link:focus {
      background: var(--grey);
      color: var(--blue);
    }
  }
}

/* Responsive - Small Devices */
@media (max-width: 768px) {
  body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    background: #0414a7;
  }
  .bsod.container {
    text-align: center;
  }
  .nav {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  .link {
    display: block;
    margin: 5px 0;
  }
}
